module cordic32_test;
  reg p_reset, m_clock;
  reg [31:0] i;
  wire [31:0] o_x, o_y;
  reg start;
  wire fin;
  reg dummy;

  reg [31:0] inputdata[0:320];
  integer index;

  cordic32 the_cordic32(.p_reset(p_reset), .m_clock(m_clock), .i(i), .o_x(o_x), .o_y(o_y), .start(start), .fin(fin));

  always
    begin
      #10 m_clock = 1'b0;
      #10 m_clock = 1'b1;
    end

  initial
    begin
      $readmemh("theta.dat", inputdata);
      //$dumpfile("cordic32_test.vcd");
      //$dumpvars(0, the_cordic32);
      //$monitor("%t: o_x = %x, o_y = %x, fin = %b", $time, o_x, o_y, fin);
      dummy = 1'b0;
      p_reset = 1'b0;
      m_clock = 1'b0;
      start = 1'b0;
      #5 p_reset = 1'b1;
      #10 p_reset = 1'b0;
      #10;
      for (index = 0; index < 321; index = index + 1)
        begin
          i = inputdata[index];
          start = 1'b1;
          #20 start = 1'b0;
          while (~fin)
            #5;
          $display("%x %x %x", i, o_x, o_y);
          #5;
        end
      $finish;
    end
endmodule
