module serial_rom_test;
  reg p_reset, m_clock;
  wire [31:0] o;
  reg start;
  wire fin;

  serial_rom the_serial_rom(.p_reset(p_reset), .m_clock(m_clock), .o(o), .start(start), .fin(fin));

  always
    begin
      #10 m_clock = 1'b0;
      #10 m_clock = 1'b1;
    end

  initial
    begin
      $dumpfile("serial_rom_test.vcd");
      $dumpvars(0, the_serial_rom);
      $monitor ("%t: o = %x", $time, o);
      p_reset = 1'b0;
      m_clock = 1'b0;
      start = 1'b0;
      #5 p_reset = 1'b1;
      #10 p_reset = 1'b0;
      #10 start = 1'b1;
      #20 start = 1'b0;
      #1000 $finish;
    end
endmodule
